Field lock version lacks translation

2009-03-18 17:46 - Brad Beattie

Status: Closed Start date: 2009-03-18

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

When two people edit the same issue at the same time, I get the following message appended to the issue's changes:

translation missing: en, field_lock_version

 Truthfully, I don't think this message should even display. I find my users ask me things like "It changed from 7 to 6, but I have no

idea what that means".

Related issues:

Related to Redmine - Defect #6853: Ruby 1.9: translation missing: en, field_l... Closed 2010-11-08

Associated revisions

Revision 2644 - 2009-04-02 19:28 - Jean-Philippe Lang

Make sure that lock_version changes are not stored in journals table (#3004).

History

#1 - 2009-03-19 06:25 - Eric Davis

- Category changed from Translations to Issues

- Status changed from New to 7

- Assignee set to Eric Davis

I saw this message come up also on a recent deployment.  You are right, that field should be ignored.  I have some tweaks to the issue conflicts that

I'm working on, I'll check this issue out at the same time (#2621).

#2 - 2009-03-25 18:44 - Jean-Philippe Lang

Can you attach the html snippet that displays this text?

#3 - 2009-03-25 18:57 - Brad Beattie

Jean-Philippe Lang wrote:

Can you attach the html snippet that displays this text?

 
<ul>

  <li><strong>translation missing: en, field_lock_version</strong> changed from <i>1</i> to <i>0</i></li>

</ul>

#4 - 2009-04-02 19:29 - Jean-Philippe Lang

- Status changed from 7 to Resolved

This should definitely not appear at all. I've committed a fix in r2644 that should prevent these changes from being stored in the journals table.

And you should be able to remove these changes from your database with:

delete from journal_details where property = 'attr' and prop_key = 'lock_version'

 This could be done with a migration but I've never seen that problem, so I won't add it for now.

Do you have some plugins that do things when an issue get saved?
#5 - 2009-04-02 19:45 - Brad Beattie

Jean-Philippe Lang wrote:

Do you have some plugins that do things when an issue get saved?

 Nope. This only occurs when two people load up an issue and try to update it with some text at the same time.

#6 - 2009-04-02 19:53 - Brad Beattie

Testing 1

#7 - 2009-04-02 19:53 - Brad Beattie

Testing 2

#8 - 2009-04-02 19:54 - Brad Beattie

Odd. Doesn't seem to occur on Redmine.org, but I'm sure it works on my system with no related plugins. Hrm.

#9 - 2009-04-09 03:15 - Eric Davis

I've seen this a lot while developing #2621, so it might only occur during a stale update.

#10 - 2009-11-25 06:52 - Eric Davis

- Status changed from Resolved to Closed

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Affected version (unused) changed from 0.8.2 to devel

- Resolution set to Fixed

- Affected version deleted (0.8.2)

"translation missing" errors only occur with Rails i18n so this bug is on trunk only.  With r2644, this should be resolved in trunk.
